List all portals in an account
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/portals \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/portals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/portals"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"payload": [
{
"id": 4,
"color": "#1F93FF",
"custom_domain": "ayuda.yampi.ai",
"header_text": "Handbook",
"homepage_link": "https://yampi.ai",
"name": "Handbook",
"page_title": "Handbook",
"slug": "handbook",
"archived": false,
"account_id": 1,
"config": {
"allowed_locales": [
{
"code": "en",
"articles_count": 32,
"categories_count": 9
}
]
},
"inbox": {
"id": 37,
"avatar_url": "https://example.com/avatar.png",
"channel_id": 1,
"name": "Yampi",
"channel_type": "Channel::WebWidget",
"greeting_enabled": true,
"widget_color": "#1F93FF",
"website_url": "yampi.ai"
},
"logo": {
"id": 19399916,
"portal_id": 4,
"file_type": "image/png",
"account_id": 1,
"file_url": "https://example.com/logo.png",
"blob_id": 21239614,
"filename": "square.png"
},
"meta": {
"all_articles_count": 0,
"categories_count": 9,
"default_locale": "en"
}
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Help Center
List all portals in an account
Get details of portals in an Account
GET
/
api
/
v1
/
accounts
/
{account_id}
/
portals
List all portals in an account
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/portals \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/portals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/portals"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"payload": [
{
"id": 4,
"color": "#1F93FF",
"custom_domain": "ayuda.yampi.ai",
"header_text": "Handbook",
"homepage_link": "https://yampi.ai",
"name": "Handbook",
"page_title": "Handbook",
"slug": "handbook",
"archived": false,
"account_id": 1,
"config": {
"allowed_locales": [
{
"code": "en",
"articles_count": 32,
"categories_count": 9
}
]
},
"inbox": {
"id": 37,
"avatar_url": "https://example.com/avatar.png",
"channel_id": 1,
"name": "Yampi",
"channel_type": "Channel::WebWidget",
"greeting_enabled": true,
"widget_color": "#1F93FF",
"website_url": "yampi.ai"
},
"logo": {
"id": 19399916,
"portal_id": 4,
"file_type": "image/png",
"account_id": 1,
"file_url": "https://example.com/logo.png",
"blob_id": 21239614,
"filename": "square.png"
},
"meta": {
"all_articles_count": 0,
"categories_count": 9,
"default_locale": "en"
}
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
Token de usuario. Envía el valor en el header api_access_token. Lo obtienes en el perfil (GET /api/v1/profile) o al regenerarlo.
Path Parameters
The numeric ID of the account
Response
Success
Show child attributes
Show child attributes